︠5bdee05f-d50a-46c4-a8f2-2d941ba321d7i︠
%html
<p>This notebook compares the exact electric field of a dipole with the approximations developed in Section 14.6 of Chabay and Sherwood's Matter and Interactions textbook.</p>

︡2f210c58-e587-40d2-8fe7-b43c6043a964︡{"html": "<p>This notebook compares the exact electric field of a dipole with the approximations developed in Section 14.6 of Chabay and Sherwood's Matter and Interactions textbook.</p>"}︡
︠6db1d43f-2e86-4e20-a71f-5781498755ab︠
import numpy
︡ee244052-8b01-4fcb-bfb3-bbc6a33f55e2︡︡
︠296f948c-6e78-40b7-a45f-7e6eb18d5f66︠
k=9.0e9 #=1/(4*pi*e0) in N m^2/C^2
︡ab095aae-4d9e-4d6a-8257-755158e559e1︡︡
︠70babb3c-8373-4b52-9c93-146f66ca8e20i︠
%html
<p>Define functions for the exact and approximate fields</p>

︡f6083166-12ae-41bc-9c74-838e9bc6360c︡{"html": "<p>Define functions for the exact and approximate fields</p>"}︡
︠ad55b434-ad06-4926-93b6-f6ec688f8128︠
def ExactField(r,s,q):
    return k*2.0*q*s*r/(r-s/2.0)^2/(r+s/2.0)^2
︡987453fd-285e-4399-ad0e-eb1580218752︡︡
︠5bf92752-e65c-408d-9caf-c69823a2e2eb︠
def ApproxField(r,s,q):
    return k*2.0*q*s/r^3
︡47799d5a-ad40-42c7-b70d-14921212128f︡︡
︠a81293ed-a868-4d7a-973a-483375b6b58bi︠
%html
<p>Define some constants and indicate that r is a variable</p>

︡fa33a1bb-eb37-4fd3-b7e9-6a8905ad455c︡{"html": "<p>Define some constants and indicate that r is a variable</p>"}︡
︠c7582bcc-086e-4605-ae95-cd3784bed8c7︠
s=0.1e-9 #Separation in m
q=1.60217646e-19 #charge in Coulombs
r=var('r')
︡a581fa90-7ca7-47ce-b068-a7e837035bf0︡︡
︠5f22a503-96e1-415e-b6d0-6357f931225ci︠
%html
<p>Plot the results</p>

︡1cb21839-221a-4f72-9805-ddbfa42d5fd0︡{"html": "<p>Plot the results</p>"}︡
︠13fb2651-302e-4c43-8550-e6a33a3a4ab7︠
pexact=plot(ExactField(r,s,q),0.2e-9,0.5e-9,rgbcolor=hue(0.8))  #Plotted Function
lexact=text('Exact',(4e-10,4e10),rgbcolor=hue(0.8))             #Legend Label
papprox=plot(ApproxField(r,s,q),0.2e-9,0.5e-9,rgbcolor=hue(0.6))#Plotted Function
lapprox=text('Approximate',(4e-10,3.5e10),rgbcolor=hue(0.6),axes_labels=['r (m)','|E| (N/C)'])    #Legend Label
show(pexact+papprox+lexact+lapprox)                             #display the figure
︡81ffb479-51a2-4a1d-bbd8-309cd8bd0a38︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠37dc8af6-44bf-4ab2-b232-5f9906754830i︠
%html
<p>Why not make a similar plot for the fields along a perpendicular axis, since the textbook discusses this case as well?</p>

︡84c1edd4-6914-4005-999b-3a11c1459075︡{"html": "<p>Why not make a similar plot for the fields along a perpendicular axis, since the textbook discusses this case as well?</p>"}︡
︠51820ab1-81d5-4548-92af-5ffac6caf976︠
def ExactFieldPerp(r,s,q):
    return k*q*s/((s/2.0)^2+r^2)^(3/2)
︡5a9208e1-6c72-4032-a19a-3f81e35b52fa︡︡
︠2db14803-a7c1-4cbd-806a-cb09c9355695︠
def ApproxFieldPerp(r,s,q):
    return k*q*s/r^3
︡6e222418-660e-4692-b04a-cb9605f560f8︡︡
︠61b4086f-e4d9-46de-8d02-489ddc9a5f50︠
pexactp=plot(ExactFieldPerp(r,s,q),0.1e-9,0.4e-9,rgbcolor=hue(0.8))  #Plotted Function
lexactp=text('Exact',(3e-10,8e10),rgbcolor=hue(0.8))             #Legend Label
papproxp=plot(ApproxFieldPerp(r,s,q),0.1e-9,0.4e-9,rgbcolor=hue(0.6),axes_labels=['r (m)','|E| (N/C)'])#Plotted Function
lapproxp=text('Approximate',(3e-10,1e11),rgbcolor=hue(0.6))    #Legend Label
show(pexactp+papproxp+lexactp+lapproxp)                             #display the figure
︡88819e6c-9a39-41af-891b-29a58185dbcd︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
